Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssr.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 4147)
@@ -33,11 +33,11 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   qrp   !: heat flux damping        [w/m2]
 
-   !                                           !!* Namelist namsbc_ssr *
-   INTEGER, PUBLIC ::   nn_sstr     =   0       ! SST/SSS restoring indicator
-   INTEGER, PUBLIC ::   nn_sssr     =   0       ! SST/SSS restoring indicator
-   REAL(wp)        ::   rn_dqdt     = -40.e0    ! restoring factor on SST and SSS
-   REAL(wp)        ::   rn_deds     = -27.70    ! restoring factor on SST and SSS
-   LOGICAL         ::   ln_sssr_bnd = .false.   ! flag to bound erp term 
-   REAL(wp)        ::   rn_sssr_bnd =   0.e0    ! ABS(Max./Min.) value of erp term [mm/day]
+   !                                   !!* Namelist namsbc_ssr *
+   INTEGER, PUBLIC ::   nn_sstr         ! SST/SSS restoring indicator
+   INTEGER, PUBLIC ::   nn_sssr         ! SST/SSS restoring indicator
+   REAL(wp)        ::   rn_dqdt         ! restoring factor on SST and SSS
+   REAL(wp)        ::   rn_deds         ! restoring factor on SST and SSS
+   LOGICAL         ::   ln_sssr_bnd     ! flag to bound erp term 
+   REAL(wp)        ::   rn_sssr_bnd     ! ABS(Max./Min.) value of erp term [mm/day]
 
    REAL(wp) , ALLOCATABLE, DIMENSION(:) ::   buffer   ! Temporary buffer for exchange
@@ -79,5 +79,4 @@
       CHARACTER(len=100) ::  cn_dir          ! Root directory for location of ssr files
       TYPE(FLD_N) ::   sn_sst, sn_sss        ! informations about the fields to be read
-      NAMELIST/namsbc_ssr/ cn_dir, nn_sstr, nn_sssr, rn_dqdt, rn_deds, sn_sst, sn_sss, ln_sssr_bnd, rn_sssr_bnd
       !!----------------------------------------------------------------------
       !
@@ -164,16 +163,16 @@
       TYPE(FLD_N) ::   sn_sst, sn_sss        ! informations about the fields to be read
       NAMELIST/namsbc_ssr/ cn_dir, nn_sstr, nn_sssr, rn_dqdt, rn_deds, sn_sst, sn_sss, ln_sssr_bnd, rn_sssr_bnd
+      INTEGER     ::  ios
       !!----------------------------------------------------------------------
       !
-      !                            !* set file information
-      cn_dir  = './'            ! directory in which the model is executed
-      ! ... default values (NB: frequency positive => hours, negative => months)
-      !            !   file    ! frequency !  variable  ! time intep !  clim   ! 'yearly' or ! weights  ! rotation   !
-      !            !   name    !  (hours)  !   name     !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs      !
-      sn_sst = FLD_N( 'sst'    ,    24     ,  'sst'     ,  .false.   , .false. ,   'yearly'  , ''       , ''         )
-      sn_sss = FLD_N( 'sss'    ,    -1     ,  'sss'     ,  .true.    , .false. ,   'yearly'  , ''       , ''         )
-
-      REWIND( numnam )             !* read in namlist namflx
-      READ  ( numnam, namsbc_ssr ) 
+ 
+      REWIND( numnam_ref )              ! Namelist namsbc_ssr in reference namelist : 
+      READ  ( numnam_ref, namsbc_ssr, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_ssr in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namsbc_ssr in configuration namelist :
+      READ  ( numnam_cfg, namsbc_ssr, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_ssr in configuration namelist', lwp )
+      WRITE ( numond, namsbc_ssr )
 
       IF(lwp) THEN                 !* control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90	(revision 4147)
@@ -67,4 +67,5 @@
       INTEGER                ::  ierror   ! return error code
       INTEGER                ::  ifpr, jj,ji,jk 
+      INTEGER                ::   ios     ! Local integer output status for namelist read
       REAL(wp),DIMENSION(:,:,:),POINTER             ::  udummy,vdummy,hdivdummy,rotdummy
       REAL                                          ::  z2dt,z1_2dt
@@ -82,17 +83,13 @@
       IF( kt == nit000 ) THEN                   ! First call kt=nit000 !
          !                                      ! -------------------- !
-         !                                            !* set file information (default values)
-         ! ... default values (NB: frequency positive => hours, negative => months)
-         !              !   file   ! frequency !  variable  ! time intep !  clim   ! 'yearly' or ! weights  ! rotation !
-         !              !   name   !  (hours)  !   name     !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs    !
-         sn_cdg = FLD_N('cdg_wave'  ,    1     ,'drag_coeff',  .true.    , .false. ,   'daily'   , ''       , ''       )
-         sn_usd = FLD_N('sdw_wave'  ,    1     ,'u_sd2d',      .true.    , .false. ,   'daily'   , ''       , ''       )
-         sn_vsd = FLD_N('sdw_wave'  ,    1     ,'v_sd2d',      .true.    , .false. ,   'daily'   , ''       , ''       )
-         sn_wn = FLD_N( 'sdw_wave'  ,    1     ,'wave_num',    .true.    , .false. ,   'daily'   , ''       , ''       )
-         cn_dir = './'          ! directory in which the wave data are 
          
+         REWIND( numnam_ref )              ! Namelist namsbc_wave in reference namelist : File for drag coeff. from wave model
+         READ  ( numnam_ref, namsbc_wave, IOSTAT = ios, ERR = 901)
+901      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_wave in reference namelist', lwp )
 
-         REWIND( numnam )                             !* read in namlist namsbc_wave
-         READ  ( numnam, namsbc_wave ) 
+         REWIND( numnam_cfg )              ! Namelist namsbc_wave in configuration namelist : File for drag coeff. from wave model
+         READ  ( numnam_cfg, namsbc_wave, IOSTAT = ios, ERR = 902 )
+902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_wave in configuration namelist', lwp )
+         WRITE ( numond, namsbc_wave )
          !
 
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90	(revision 4147)
@@ -26,5 +26,5 @@
        ftide
 
-  LOGICAL, PUBLIC :: ln_tide_pot = .false., ln_tide_ramp = .false.
+  LOGICAL, PUBLIC :: ln_tide_pot , ln_tide_ramp 
   REAL(wp), PUBLIC :: rdttideramp 
   INTEGER, PUBLIC :: nb_harmo
@@ -46,4 +46,5 @@
     INTEGER, INTENT( in ) ::   kt     ! ocean time-step
     CHARACTER(LEN=4), DIMENSION(jpmax_harmo) :: clname
+    INTEGER  ::   ios                 ! Local integer output status for namelist read
     !
     NAMELIST/nam_tide/ln_tide_pot, ln_tide_ramp, rdttideramp, clname
@@ -60,9 +61,13 @@
        CALL tide_init_Wave
        !
-       clname(:)=''
-       !
        ! Read Namelist nam_tide
-       REWIND ( numnam )
-       READ   ( numnam, nam_tide )
+       REWIND( numnam_ref )              ! Namelist nam_tide in reference namelist : Tides
+       READ  ( numnam_ref, nam_tide, IOSTAT = ios, ERR = 901)
+901    IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_tide in reference namelist', lwp )
+
+       REWIND( numnam_cfg )              ! Namelist nam_tide in configuration namelist : Tides
+       READ  ( numnam_cfg, nam_tide, IOSTAT = ios, ERR = 902 )
+902    IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_tide in configuration namelist', lwp )
+       WRITE ( numond, nam_tide )
        !
        nb_harmo=0
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SOL/sol_oce.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SOL/sol_oce.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SOL/sol_oce.F90	(revision 4147)
@@ -20,14 +20,14 @@
    PUBLIC   sol_oce_alloc   ! routine called in solver.F90
 
-   !                                             !!* Namelist namsol : elliptic solver *
-   INTEGER , PUBLIC ::   nn_solv    =    1        !: = 1/2 type of elliptic solver
-   INTEGER , PUBLIC ::   nn_sol_arp =    0        !: = 0/1 absolute/relative precision convergence test
-   INTEGER , PUBLIC ::   nn_nmin    =  300        !: minimum of iterations for the SOR solver
-   INTEGER , PUBLIC ::   nn_nmax    =  800        !: maximum of iterations for the SOR solver
-   INTEGER , PUBLIC ::   nn_nmod    =   10        !: frequency of test for the SOR solver
-   REAL(wp), PUBLIC ::   rn_eps     =  1.e-6_wp   !: absolute precision of the solver
-   REAL(wp), PUBLIC ::   rn_resmax  = 1.e-14_wp   !: absolute precision for the SOR solver
-   REAL(wp), PUBLIC ::   rn_sor     =   1.92_wp   !: optimal coefficient for the SOR solver
-   REAL(wp), PUBLIC ::   rn_nu      =    1.0_wp   !: strength of the additional force used in free surface
+   !                                 !!* Namelist namsol : elliptic solver *
+   INTEGER , PUBLIC ::   nn_solv      !: = 1/2 type of elliptic solver
+   INTEGER , PUBLIC ::   nn_sol_arp   !: = 0/1 absolute/relative precision convergence test
+   INTEGER , PUBLIC ::   nn_nmin      !: minimum of iterations for the SOR solver
+   INTEGER , PUBLIC ::   nn_nmax      !: maximum of iterations for the SOR solver
+   INTEGER , PUBLIC ::   nn_nmod      !: frequency of test for the SOR solver
+   REAL(wp), PUBLIC ::   rn_eps       !: absolute precision of the solver
+   REAL(wp), PUBLIC ::   rn_resmax    !: absolute precision for the SOR solver
+   REAL(wp), PUBLIC ::   rn_sor       !: optimal coefficient for the SOR solver
+   REAL(wp), PUBLIC ::   rn_nu        !: strength of the additional force used in free surface
 
    CHARACTER(len=1), PUBLIC ::   c_solver_pt = 'T'   !: nature of grid-points T (S) for free surface case
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90	(revision 4147)
@@ -51,4 +51,5 @@
       !!----------------------------------------------------------------------
       INTEGER, INTENT(in) :: kt
+      INTEGER             ::   ios       ! Local integer output status for namelist read
       !!
       NAMELIST/namsol/ nn_solv, nn_sol_arp, nn_nmin, nn_nmax, nn_nmod, rn_eps, rn_resmax, rn_sor
@@ -62,6 +63,12 @@
       ENDIF
 
-      REWIND( numnam )              !* Namelist namsol : elliptic solver / free surface
-      READ  ( numnam, namsol )
+      REWIND( numnam_ref )              ! Namelist namsol in reference namelist : Elliptic solver / free surface
+      READ  ( numnam_ref, namsol, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsol in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namsol in configuration namelist : Elliptic solver / free surface
+      READ  ( numnam_cfg, namsol, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsol in configuration namelist', lwp )
+      WRITE ( numond, namsol )
 
       IF(lwp) THEN                  !* Control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 4147)
@@ -57,8 +57,8 @@
    PUBLIC   tfreez     ! called by sbcice_... modules
 
-   !                                          !!* Namelist (nameos) *
-   INTEGER , PUBLIC ::   nn_eos   = 0         !: = 0/1/2 type of eq. of state and Brunt-Vaisala frequ.
-   REAL(wp), PUBLIC ::   rn_alpha = 2.0e-4_wp !: thermal expension coeff. (linear equation of state)
-   REAL(wp), PUBLIC ::   rn_beta  = 7.7e-4_wp !: saline  expension coeff. (linear equation of state)
+   !                                  !!* Namelist (nameos) *
+   INTEGER , PUBLIC ::   nn_eos       !: = 0/1/2 type of eq. of state and Brunt-Vaisala frequ.
+   REAL(wp), PUBLIC ::   rn_alpha     !: thermal expension coeff. (linear equation of state)
+   REAL(wp), PUBLIC ::   rn_beta      !: saline  expension coeff. (linear equation of state)
 
    REAL(wp), PUBLIC ::   ralpbet              !: alpha / beta ratio
@@ -708,7 +708,14 @@
       NAMELIST/nameos/ nn_eos, rn_alpha, rn_beta
       !!----------------------------------------------------------------------
-      !
-      REWIND( numnam )            ! Read Namelist nameos : equation of state
-      READ  ( numnam, nameos )
+      INTEGER  ::   ios
+      !
+      REWIND( numnam_ref )              ! Namelist nameos in reference namelist : equation of state
+      READ  ( numnam_ref, nameos, IOSTAT = ios, ERR = 901 )
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nameos in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist nameos in configuration namelist : equation of state
+      READ  ( numnam_cfg, nameos, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nameos in configuration namelist', lwp )
+      WRITE( numond, nameos )
       !
       IF(lwp) THEN                ! Control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 4147)
@@ -37,12 +37,12 @@
    PUBLIC   tra_adv_init   ! routine called by opa module
 
-   !                                        !!* Namelist namtra_adv *
-   LOGICAL ::   ln_traadv_cen2   = .TRUE.    ! 2nd order centered scheme flag
-   LOGICAL ::   ln_traadv_tvd    = .FALSE.   ! TVD scheme flag
-   LOGICAL ::   ln_traadv_muscl  = .FALSE.   ! MUSCL scheme flag
-   LOGICAL ::   ln_traadv_muscl2 = .FALSE.   ! MUSCL2 scheme flag
-   LOGICAL ::   ln_traadv_ubs    = .FALSE.   ! UBS scheme flag
-   LOGICAL ::   ln_traadv_qck    = .FALSE.   ! QUICKEST scheme flag
-   LOGICAL ::   ln_traadv_msc_ups= .FALSE.   ! use upstream scheme within muscl
+   !                              !!* Namelist namtra_adv *
+   LOGICAL ::   ln_traadv_cen2     ! 2nd order centered scheme flag
+   LOGICAL ::   ln_traadv_tvd      ! TVD scheme flag
+   LOGICAL ::   ln_traadv_muscl    ! MUSCL scheme flag
+   LOGICAL ::   ln_traadv_muscl2   ! MUSCL2 scheme flag
+   LOGICAL ::   ln_traadv_ubs      ! UBS scheme flag
+   LOGICAL ::   ln_traadv_qck      ! QUICKEST scheme flag
+   LOGICAL ::   ln_traadv_msc_ups  ! use upstream scheme within muscl
 
 
@@ -84,5 +84,5 @@
       ENDIF
       !
-      IF( nn_cla == 1 )   CALL cla_traadv( kt )       !==  Cross Land Advection  ==! (hor. advection)
+      IF( nn_cla == 1 .AND. cp_cfg == 'orca' .AND. jp_cfg == 2 )   CALL cla_traadv( kt )       !==  Cross Land Advection  ==! (hor. advection)
       !
       !                                               !==  effective transport  ==!
@@ -151,4 +151,5 @@
       !!----------------------------------------------------------------------
       INTEGER ::   ioptio
+      INTEGER ::   ios                 ! Local integer output status for namelist read
       !!
       NAMELIST/namtra_adv/ ln_traadv_cen2 , ln_traadv_tvd,     &
@@ -158,6 +159,12 @@
       !!----------------------------------------------------------------------
 
-      REWIND( numnam )                ! Read Namelist namtra_adv : tracer advection scheme
-      READ  ( numnam, namtra_adv )
+      REWIND( numnam_ref )              ! Namelist namtra_adv in reference namelist : Tracer advection scheme
+      READ  ( numnam_ref, namtra_adv, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_adv in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namtra_adv in configuration namelist : Tracer advection scheme
+      READ  ( numnam_cfg, namtra_adv, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_adv in configuration namelist', lwp )
+      WRITE ( numond, namtra_adv )
 
       IF(lwp) THEN                    ! Namelist print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 4147)
@@ -31,8 +31,8 @@
    PUBLIC tra_bbc_init     ! routine called by opa.F90
 
-   !                                                !!* Namelist nambbc: bottom boundary condition *
-   LOGICAL, PUBLIC ::   ln_trabbc     = .FALSE.      !: Geothermal heat flux flag
-   INTEGER         ::   nn_geoflx     = 1            !  Geothermal flux (=1:constant flux, =2:read in file )
-   REAL(wp)        ::   rn_geoflx_cst = 86.4e-3_wp   !  Constant value of geothermal heat flux
+   !                                 !!* Namelist nambbc: bottom boundary condition *
+   LOGICAL, PUBLIC ::   ln_trabbc     !: Geothermal heat flux flag
+   INTEGER         ::   nn_geoflx     !  Geothermal flux (=1:constant flux, =2:read in file )
+   REAL(wp)        ::   rn_geoflx_cst !  Constant value of geothermal heat flux
 
    REAL(wp), PUBLIC, DIMENSION(:,:), ALLOCATABLE ::   qgh_trd0   ! geothermal heating trend
@@ -129,10 +129,17 @@
       INTEGER  ::   ji, jj              ! dummy loop indices
       INTEGER  ::   inum                ! temporary logical unit
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!
       NAMELIST/nambbc/ln_trabbc, nn_geoflx, rn_geoflx_cst 
       !!----------------------------------------------------------------------
 
-      REWIND( numnam )                 ! Read Namelist nambbc : bottom momentum boundary condition
-      READ  ( numnam, nambbc )
+      REWIND( numnam_ref )              ! Namelist nambbc in reference namelist : Bottom momentum boundary condition
+      READ  ( numnam_ref, nambbc, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambbc in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist nambbc in configuration namelist : Bottom momentum boundary condition
+      READ  ( numnam_cfg, nambbc, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambbc in configuration namelist', lwp )
+      WRITE ( numond, nambbc )
 
       IF(lwp) THEN                     ! Control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 4147)
@@ -49,11 +49,11 @@
    LOGICAL, PUBLIC, PARAMETER ::   lk_trabbl = .TRUE.    !: bottom boundary layer flag
 
-   !                                           !!* Namelist nambbl *
-   INTEGER , PUBLIC ::   nn_bbl_ldf = 0         !: =1   : diffusive bbl or not (=0)
-   INTEGER , PUBLIC ::   nn_bbl_adv = 0         !: =1/2 : advective bbl or not (=0)
+   !                                !!* Namelist nambbl *
+   INTEGER , PUBLIC ::   nn_bbl_ldf  !: =1   : diffusive bbl or not (=0)
+   INTEGER , PUBLIC ::   nn_bbl_adv  !: =1/2 : advective bbl or not (=0)
    !                                            !  =1 : advective bbl using the bottom ocean velocity
    !                                            !  =2 :     -      -  using utr_bbl proportional to grad(rho)
-   REAL(wp), PUBLIC ::   rn_ahtbbl  = 1.e3_wp   !: along slope bbl diffusive coefficient [m2/s]
-   REAL(wp), PUBLIC ::   rn_gambbl  = 10.0_wp   !: lateral coeff. for bottom boundary layer scheme [s]
+   REAL(wp), PUBLIC ::   rn_ahtbbl   !: along slope bbl diffusive coefficient [m2/s]
+   REAL(wp), PUBLIC ::   rn_gambbl   !: lateral coeff. for bottom boundary layer scheme [s]
 
    LOGICAL , PUBLIC ::   l_bbl                  !: flag to compute bbl diffu. flux coef and transport
@@ -560,4 +560,5 @@
       INTEGER ::   ji, jj               ! dummy loop indices
       INTEGER ::   ii0, ii1, ij0, ij1   ! temporary integer
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       REAL(wp), POINTER, DIMENSION(:,:) :: zmbk
       !!
@@ -570,6 +571,12 @@
       !
 
-      REWIND ( numnam )              !* Read Namelist nambbl : bottom boundary layer scheme
-      READ   ( numnam, nambbl )
+      REWIND( numnam_ref )              ! Namelist nambbl in reference namelist : Bottom boundary layer scheme
+      READ  ( numnam_ref, nambbl, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambbl in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist nambbl in configuration namelist : Bottom boundary layer scheme
+      READ  ( numnam_cfg, nambbl, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambbl in configuration namelist', lwp )
+      WRITE ( numond, nambbl )
       !
       l_bbl = .TRUE.                 !* flag to compute bbl coef and transport
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 4147)
@@ -47,12 +47,12 @@
    PUBLIC   dtacof_zoom  ! routine called by in both tradmp.F90 and trcdmp.F90
 
-   !                                !!* Namelist namtra_dmp : T & S newtonian damping *
-   LOGICAL, PUBLIC ::   ln_tradmp = .TRUE.    !: internal damping flag
-   INTEGER         ::   nn_hdmp   =   -1      ! = 0/-1/'latitude' for damping over T and S
-   INTEGER         ::   nn_zdmp   =    0      ! = 0/1/2 flag for damping in the mixed layer
-   REAL(wp)        ::   rn_surf   =   50._wp  ! surface time scale for internal damping        [days]
-   REAL(wp)        ::   rn_bot    =  360._wp  ! bottom time scale for internal damping         [days]
-   REAL(wp)        ::   rn_dep    =  800._wp  ! depth of transition between rn_surf and rn_bot [meters]
-   INTEGER         ::   nn_file   =    2      ! = 1 create a damping.coeff NetCDF file 
+   !                               !!* Namelist namtra_dmp : T & S newtonian damping *
+   LOGICAL, PUBLIC ::   ln_tradmp  = .TRUE.   !: internal damping flag
+   INTEGER         ::   nn_hdmp     ! = 0/-1/'latitude' for damping over T and S
+   INTEGER         ::   nn_zdmp     ! = 0/1/2 flag for damping in the mixed layer
+   REAL(wp)        ::   rn_surf     ! surface time scale for internal damping        [days]
+   REAL(wp)        ::   rn_bot      ! bottom time scale for internal damping         [days]
+   REAL(wp)        ::   rn_dep      ! depth of transition between rn_surf and rn_bot [meters]
+   INTEGER         ::   nn_file     ! = 1 create a damping.coeff NetCDF file 
 
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   strdmp   !: damping salinity trend (psu/s)
@@ -194,8 +194,15 @@
       !!----------------------------------------------------------------------
       NAMELIST/namtra_dmp/ ln_tradmp, nn_hdmp, nn_zdmp, rn_surf, rn_bot, rn_dep, nn_file
-      !!----------------------------------------------------------------------
-
-      REWIND ( numnam )                  ! Read Namelist namtra_dmp : temperature and salinity damping term
-      READ   ( numnam, namtra_dmp )
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
+      !!----------------------------------------------------------------------
+
+      REWIND( numnam_ref )              ! Namelist namtra_dmp in reference namelist : Temperature and salinity damping term
+      READ  ( numnam_ref, namtra_dmp, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_dmp in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namtra_dmp in configuration namelist : Temperature and salinity damping term
+      READ  ( numnam_cfg, namtra_dmp, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_dmp in configuration namelist', lwp )
+      WRITE ( numond, namtra_dmp )
       
       IF( lzoom )   nn_zdmp = 0          ! restoring to climatology at closed north or south boundaries
@@ -296,9 +303,9 @@
 
       !                                           ! ====================================================
-      IF( lzoom_arct .AND. lzoom_anta ) THEN      !  ORCA configuration : arctic zoom or antarctic zoom
+      IF( cp_cfz == "arctic" .OR. cp_cfz == "antarctic" ) THEN   !  ORCA configuration : arctic or antarctic zoom
          !                                        ! ====================================================
          IF(lwp) WRITE(numout,*)
-         IF(lwp .AND. lzoom_arct ) WRITE(numout,*) '              dtacof_zoom : ORCA    Arctic zoom'
-         IF(lwp .AND. lzoom_arct ) WRITE(numout,*) '              dtacof_zoom : ORCA Antarctic zoom'
+         IF(lwp .AND. cp_cfz == "arctic" ) WRITE(numout,*) '              dtacof_zoom : ORCA    Arctic zoom'
+         IF(lwp .AND. cp_cfz == "antarctic" ) WRITE(numout,*) '           dtacof_zoom : ORCA Antarctic zoom'
          IF(lwp) WRITE(numout,*)
          !
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 4147)
@@ -38,13 +38,13 @@
    PUBLIC   tra_qsr_init  ! routine called by opa.F90
 
-   !                                           !!* Namelist namtra_qsr: penetrative solar radiation
-   LOGICAL , PUBLIC ::   ln_traqsr  = .TRUE.    !: light absorption (qsr) flag
-   LOGICAL , PUBLIC ::   ln_qsr_rgb = .FALSE.   !: Red-Green-Blue light absorption flag  
-   LOGICAL , PUBLIC ::   ln_qsr_2bd = .TRUE.    !: 2 band         light absorption flag
-   LOGICAL , PUBLIC ::   ln_qsr_bio = .FALSE.   !: bio-model      light absorption flag
-   INTEGER , PUBLIC ::   nn_chldta  = 0         !: use Chlorophyll data (=1) or not (=0)
-   REAL(wp), PUBLIC ::   rn_abs     = 0.58_wp   !: fraction absorbed in the very near surface (RGB & 2 bands)
-   REAL(wp), PUBLIC ::   rn_si0     = 0.35_wp   !: very near surface depth of extinction      (RGB & 2 bands)
-   REAL(wp), PUBLIC ::   rn_si1     = 23.0_wp   !: deepest depth of extinction (water type I)       (2 bands)
+   !                                 !!* Namelist namtra_qsr: penetrative solar radiation
+   LOGICAL , PUBLIC ::   ln_traqsr    !: light absorption (qsr) flag
+   LOGICAL , PUBLIC ::   ln_qsr_rgb   !: Red-Green-Blue light absorption flag  
+   LOGICAL , PUBLIC ::   ln_qsr_2bd   !: 2 band         light absorption flag
+   LOGICAL , PUBLIC ::   ln_qsr_bio   !: bio-model      light absorption flag
+   INTEGER , PUBLIC ::   nn_chldta    !: use Chlorophyll data (=1) or not (=0)
+   REAL(wp), PUBLIC ::   rn_abs       !: fraction absorbed in the very near surface (RGB & 2 bands)
+   REAL(wp), PUBLIC ::   rn_si0       !: very near surface depth of extinction      (RGB & 2 bands)
+   REAL(wp), PUBLIC ::   rn_si1       !: deepest depth of extinction (water type I)       (2 bands)
    
    ! Module variables
@@ -315,6 +315,7 @@
       !!----------------------------------------------------------------------
       !
-      INTEGER  ::   ji, jj, jk     ! dummy loop indices
+      INTEGER  ::   ji, jj, jk                   ! dummy loop indices
       INTEGER  ::   irgb, ierror, ioptio, nqsr   ! local integer
+      INTEGER  ::   ios                          ! Local integer output status for namelist read
       REAL(wp) ::   zz0, zc0  , zc1, zcoef       ! local scalars
       REAL(wp) ::   zz1, zc2  , zc3, zchl        !   -      -
@@ -336,12 +337,12 @@
       !
 
-      cn_dir = './'       ! directory in which the model is executed
-      ! ... default values (NB: frequency positive => hours, negative => months)
-      !            !     file       ! frequency !  variable  ! time interp !  clim   ! 'yearly' or ! weights  ! rotation   !
-      !            !     name       !  (hours)  !    name    !    (T/F)    !  (T/F)  ! 'monthly'   ! filename ! pairs      !
-      sn_chl = FLD_N( 'chlorophyll' ,    -1     ,  'CHLA'    ,  .true.     , .true.  ,   'yearly'  , ''       , ''         )
-      !
-      REWIND( numnam )            ! Read Namelist namtra_qsr : ratio and length of penetration
-      READ  ( numnam, namtra_qsr )
+      REWIND( numnam_ref )              ! Namelist namtra_qsr in reference namelist : Ratio and length of penetration
+      READ  ( numnam_ref, namtra_qsr, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_qsr in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              !  Namelist namtra_qsr in configuration namelist : Ratio and length of penetration
+      READ  ( numnam_cfg, namtra_qsr, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_qsr in configuration namelist', lwp )
+      WRITE ( numond, namtra_qsr )
       !
       IF(lwp) THEN                ! control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod.F90	(revision 4147)
@@ -251,11 +251,20 @@
       !!----------------------------------------------------------------------
       USE in_out_manager          ! I/O manager
+      USE lib_mpp                 ! MPP library
       !!    
       NAMELIST/namtrd/ nn_trd, nn_ctls, cn_trdrst_in, cn_trdrst_out, ln_trdmld_restart, rn_ucf, ln_trdmld_instant
+      INTEGER  ::   ios           ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
 
       IF( l_trdtra .OR. l_trddyn )   THEN
-         REWIND( numnam )
-         READ  ( numnam, namtrd )      ! namelist namtrd : trends diagnostic
+ 
+         REWIND( numnam_ref )              ! Namelist namtrd in reference namelist : Diagnostics: trends
+         READ  ( numnam_ref, namtrd, IOSTAT = ios, ERR = 901)
+901      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrd in reference namelist', lwp )
+
+         REWIND( numnam_cfg )              ! Namelist namtrd in configuration namelist : Diagnostics: trends
+         READ  ( numnam_cfg, namtrd, IOSTAT = ios, ERR = 902 )
+902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrd in configuration namelist', lwp )
+         WRITE ( numond, namtrd )
 
          IF(lwp) THEN
